package upgrade.test.ejb;

import upgrade.test.pojo.MyPojo;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * Simple JPA tests. Note: persisting the same MyPojo twice
 * should throw a unique constraint violation. This is tested
 * in the web app.
 */
@Stateless
public class JPABean implements JPABeanLocal {

    @PersistenceContext(unitName="upgradePU")
    private EntityManager em;

    public void createMP(MyPojo mp) {
        em.persist(mp);
    }

    public MyPojo getMPByID(long id) {
        return em.find(MyPojo.class, id);
    }
}
