package upgrade.test.pojo;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Some very simple pojo with a name and a number (integer). There
 * is a constraint that names must be unique. Why? Why not.
 */
@Entity
@Table(
    name = "simple_pojos",
    uniqueConstraints = {@UniqueConstraint(columnNames = {"name"})}
)
public class MyPojo implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(nullable=false, updatable=false, name="pojo_id")
    private Long id;

    private String name;
    private int number;

    @SuppressWarnings("unused")
    public Long getId() {
        return id;
    }

    @SuppressWarnings("unused")
    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    @Override
    public String toString() {
        return String.format("MyPojo{name='%s', number='%s'}",
            name, number);
    }

// generated
    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        MyPojo myPojo = (MyPojo) o;

        if (number != myPojo.number) {
            return false;
        }
        if (name != null ? !name.equals(myPojo.name) : myPojo.name != null) {
            return false;
        }

        return true;
    }

    // generated
    @Override
    public int hashCode() {
        int result = name != null ? name.hashCode() : 0;
        result = 31 * result + number;
        return result;
    }
}
