package upgrade.test.presentation;

import com.vaadin.Application;
import com.vaadin.terminal.gwt.server.AbstractApplicationServlet;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import upgrade.test.ejb.HelloBeanLocal;
import upgrade.test.ejb.HelloBeanRemote;
import upgrade.test.ejb.JPABeanLocal;

/**
 * Entry point into the web application. See WebApplication for more info.
 *
 * @author Bobby Bissett
 */
public class VaadinServlet extends AbstractApplicationServlet {

    @EJB private HelloBeanLocal hb;
    @EJB private HelloBeanRemote hbRemote;
    @EJB private JPABeanLocal jpaBean;

    @Override
    protected Class<? extends Application> getApplicationClass() {
        return WebApp.class;
    }

    @Override
    protected Application getNewApplication(HttpServletRequest request)
        throws ServletException {

        // this is the class that does the work
        return new WebApp(hb, hbRemote, jpaBean);
    }
   
}
