package upgrade.test.tests;

import com.vaadin.ui.*;
import upgrade.test.presentation.WebApp;

import javax.servlet.http.HttpServletRequest;

public class LoginTest extends AbstractTestPanel implements Button.ClickListener {

    public static final String ROLE_NAME = "role1";

    public LoginTest(WebApp app) {
        super(app);
    }

    @Override
    String getTitle() {
        return "Login Test";
    }

    @Override
    String getTestDescription() {
        return "Tests that the remote user is in the proper role needed to " +
            "access this application (role1). This page shouldn't be seen " +
            "if not, but clicking the button will test.";
    }

    @Override
    public void attach() {
        Button b = new Button("Test");
        b.addListener(this);
        addComponent(b);
    }

    @Override
    public void buttonClick(Button.ClickEvent clickEvent) {
        HttpServletRequest req = app.getRequest();
        if (req != null) {
            if (req.isUserInRole(ROLE_NAME)) {
                pass("User is in role");
            } else {
                fail("User is not in role");
            }
        } else {
            fail("HttpServletRequest object is null. Cannot test.");
        }
    }
}
